Name: rbenv
Summary: rbenv
Version: 0.2.0
Release: 1%{?dist}
License: MIT
Group: Development/Tools
BuildArch: noarch
URL: https://github.com/sstephenson/rbenv
Source0: http://tejas.fedorapeople.org/rbenv/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
rbenv

%package bash
Summary: bash completion for rbenv
Group: Development/Tools
Requires: rbenv = %{version}-%{release}
Requires: bash-completion

%description bash
This package provides bash completion scripts for rbenv

%package zsh
Summary: zsh completion for rbenv
Group: Development/Tools
Requires: rbenv = %{version}-%{release}
Requires: zsh

%description zsh
This package provides bash completion scripts for rbenv

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libexecdir}/rbenv
install -p libexec/* %{buildroot}%{_libexecdir}/rbenv/

mkdir -p %{buildroot}%{_bindir}
ln -s %{_libexecdir}/rbenv/rbenv %{buildroot}%{_bindir}/rbenv
install -p bin/ruby-local-exec %{buildroot}%{_bindir}/ruby-local-exec

mkdir -p %{buildroot}%{_docdir}/%{name}
mv LICENSE %{buildroot}%{_docdir}/%{name}
mv README.md %{buildroot}%{_docdir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
mv completions/rbenv.bash %{buildroot}%{_sysconfdir}/bash_completion.d/rbenv.bash

%post
echo You probably want to execute the following line to add rbenv to your shell
echo echo "'eval \"\$(rbenv init -)\"'" \>\> ~/.bash_profile

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/rbenv
%{_bindir}/ruby-local-exec
%{_libexecdir}/rbenv
%{_docdir}/rbenv

%files bash
%defattr(-,root,root,-)
%{_sysconfdir}/bash_completion.d/rbenv.bash

%files zsh
%defattr(-,root,root,-)
# the rbenv.zsh

%changelog
* Mon Sep 5 2011 Tejas Dinkar <tejas@gja.in> - 0.0.1-1
- Initial Spec
